Bug 613167 (CVE-2010-2500)

Summary: CVE-2010-2500 freetype: integer overflow vulnerability in smooth/ftgrays.c
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: behdad, fonts-bugs, jlieskov, kevin, mkasik, tpelka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20100609,reported=20100702,source=vendor-sec,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,cwe=CWE-190[auto],rhel-3/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-6/freetype=notaffected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/freetype=affected/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 15:02:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 613298, 613299, 614010, 614011, 614012, 614013, 614014, 806290    
Bug Blocks:    

Description Vincent Danen 2010-07-09 21:01:51 UTC
Robert Swiecki reported an integer overflow flaw in freetype with how it processes certain fonts.  This could cause applications linked against freetype to crash or, possibly, lead to the execution of arbitrary code if an attacker were able to get a victim to load a malicious font file.

The code in question goes back to the version of freetype in Red Hat Enterprise Linux 3, and can only be triggered when MALLOC_CHECK_=3 is set.

This issue has been given the name CVE-2010-2500.

Upstream bug reports:

http://savannah.nongnu.org/bugs/index.php?30263

Upstream commit that fixes the issue:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=6305b869d86ff415a33576df6d43729673c66eee

Acknowledgements:

Red Hat would like to thank Robert Święcki of the Google Security Team for the discovery of this issue.

Comment 2 Vincent Danen 2010-07-10 16:03:03 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 4 Josh Bressers 2010-07-13 13:42:25 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 5 Vincent Danen 2010-07-15 20:43:26 UTC
Upstream has released 2.4.0 to correct this issue:

http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html

Comment 8 errata-xmlrpc 2010-07-30 15:43:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0577 https://rhn.redhat.com/errata/RHSA-2010-0577.html

Comment 9 errata-xmlrpc 2010-07-30 16:10:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0578 https://rhn.redhat.com/errata/RHSA-2010-0578.html